### Method

# Gtk.TreeModel.filter_new

#### Declaration [src]

    GtkTreeModel*
    gtk_tree_model_filter_new (
      GtkTreeModel* child_model,
      GtkTreePath* root
    )

#### Description [src]

Creates a new `GtkTreeModel`, with `child_model` as the child_model and `root` as the virtual root.

#### Parameters

`root` | `GtkTreePath`
| A `GtkTreePath` or `NULL`.
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkTreeModel`
A new `GtkTreeModel`.
Ownership of the data is transferred to the caller